local function Values()
  if count == nil then count = 0 end
  sound = {}
  table.insert(sound, 3744220)
  playing = false
  mountSpells = {}
  mountIDs = C_MountJournal.GetMountIDs()
  for _, mountID in pairs(mountIDs) do
    name, spellID = C_MountJournal.GetMountInfoByID(mountID)
    table.insert(mountSpells, spellID)
  end
end
Values()
local f = CreateFrame("Frame")
--
f:RegisterEvent("CHAT_MSG_WHISPER")
f:RegisterEvent("UNIT_SPELLCAST_FAILED")
f:SetScript("OnEvent", function(arg1, arg2, arg3, arg4, arg5)
  if arg2 == "CHAT_MSG_WHISPER" then
    if string.lower(arg3) == "mountcount" then
      SendChatMessage("I have tried to mount in the Maw ".. tostring(count).." times.", "WHISPER", nil, arg4)
    end
  else
    if C_Map.GetBestMapForUnit("player") == 1543 then
      print(arg5)
      for index, mountSpell in pairs(mountSpells) do
        if mountSpell == arg5 then
          DEFAULT_CHAT_FRAME:AddMessage("Zovaal: ".. tostring(count).. " pathetic attempts to escape the Maw.", 0.5, 0, 0)
          if not playing then
            PlaySoundFile(sound[math.random(#sound)])
            playing = true
          end
          C_Timer.After(5, function() playing = false end)
          count = count + 1
        end
      end
    end
  end
end)
--
SLASH_MOUNTCOUNT1 = "/mc"
SlashCmdList["MOUNTCOUNT"] = function(input)
  if string.find(string.lower(input), "count") then
    DEFAULT_CHAT_FRAME:AddMessage("You have attempted to mount in the Maw".. tostring(count).. " times.", 0.5, 0, 0)
  elseif string.find(string.lower(input), "reset") then
    StaticPopup_Show ("MOUNTCOUNT_RESET")
  else
    DEFAULT_CHAT_FRAME:AddMessage("Please use /mc count to see your count. or /mc reset to reset the count.", 0.5, 0, 0)
  end
end
--
StaticPopupDialogs["MOUNTCOUNT_RESET"] = {
  text = "Reset MountCount and ReloadUI?",
  button1 = "Yes",
  button2 = "No",
  OnAccept = function()
    count = 0
    ReloadUI()
  end,
  timeout = 0,
  whileDead = true,
  hideOnEscape = true,
  preferredIndex = 3,
}